Subject: bug#30087: "guix package -A" hangs with attached package set

From: zimoun <[email-masked]>
Date: Thu, 03 Dec 2020 01:10:10 +0100

Hi Danny,

This old bug #30087 is about something specific to one of your use
cases.

   <http://issues.guix.gnu.org/issue/30087>

On Fri, 12 Jan 2018 at 16:50, Danny Milosavljevic <[email-masked]> wrote:
> On Fri, 12 Jan 2018 07:26:31 -0800
> Leo Famulari <[email-masked]> wrote:
>
>> I can't reproduce this with a recent Guix. Are you using any custom
>> packages or modifications?
>
> Yeah, sorry, I checked it now.  It's because of packages in my GUIX_PACKAGE_PATH.  When I move them away, "guix package -A" works fine.
>
> Attached the offending directory from inside my GUIX_PACKAGE_PATH.
>
> Warning!  If you decide to extract the attachment inside your GUIX_PACKAGE_PATH, be sure to save your work!  This hangs your computer.
>
> I think it should still not happen.  Hence, I opened a new bugreport now.

Is it still relevant?  If yes, could you provide more information to
tackle it?  For example, more context or recipe to reproduce it.  If no,
feel free to close it.

All the best,
simon